Bug 135586 - FC3 release notes -- New kernel set as default on manual upgrade
FC3 release notes -- New kernel set as default on manual upgrade
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
Reported: 2004-10-13 13:39 EDT by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-19 13:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-10-13 13:39:44 EDT
Probably should go in the kernel section and I'm not entirely sure how
to wordsmith it.

But basically, we now default to setting new kernels as the default in
your boot loader configuration when they are installed via any
mechanism (including just rpm -ivh) instead of just with a tool such
as up2date or yum.  Only kernels with a package name matching the
DEFAULTKERNEL in /etc/sysconfig/kernel are set as default and only if

See bug 135161 for the longer description of what's going on.
Comment 2 Ed Bailey 2004-10-18 16:23:47 EDT
Jeremy -- Does this look ok to you:

In the past, the process of updating the kernel did not change the
default kernel in the system's boot loader configuration.

Fedora Core 2.92 Test 3 changes this behavior to set newly-installed
kernels as the default. This behavior applies to all installation
methods (including rpm -i).

This behavior is controlled by two lines in the /etc/sysconfig/kernel

  o UPGRADEDEFAULT — Controls whether new kernels will be booted by
default (default value: yes)

  o DEFAULTKERNEL — kernel RPMs whose names match this value will be
booted by default (default value: depends on hardware configuration)
Comment 3 Jeremy Katz 2004-10-18 17:34:53 EDT
Looks good to me.
Comment 4 Ed Bailey 2004-10-19 13:17:09 EDT
Jeremy -- Thanks!

Note You need to log in before you can comment on or make changes to this bug.